var Syntax = {
	go:function(src) {
		var code = src.match(/^\s*([\s\S]*)/)[1];
		
		code = code.replace(/"(.*?)"/g,"<span class='string'>\"$1\"</span>");
		code = code.replace(/([^0-9#a-zA-Z])([0-9]+)/g,"$1<span class='number'>$2</span>");
		code = code.replace(/(\/\*[\s\S]*?\*\/)/g,"<span class='comment'>$1</span>");
		code = code.replace(/([^:])(\/\/.*)/g,"$1<span class='comment'>$2</span>");
		
		var keywords = ["break", "case", "catch", "continue", "default", "delete", "do", "else",
			"finally", "for", "function", "if", "in", "instanceof", "new", "return",
			"switch", "this", "throw", "try", "typeof", "var", "void", "while", "with", "__proto__"];
		keywords.push("true", "false", "null", "NaN", "prototype", "call", "apply", "constructor");

		for (var i=0;i<keywords.length;i++) {
			var kw = new RegExp("(^|\\s|\\.|\\()("+keywords[i]+")(?=\\s|\\.|\\(|\\)|\\[|\\]|;|$|,)","g");
			code = code.replace(kw, "$1<span class='keyword'>$2</span>");
		}
		
		code = code.replace(/\n/g,"<br/>");
		code = code.replace(/\t/g,"&nbsp;&nbsp;&nbsp;&nbsp;");
		return code;
	},
	init:function() {
		var codes = document.getElementsByTagName("code");
		for (var i=0;i<codes.length;i++) {
			var c = codes[i];
			c.innerHTML = this.go(c.innerHTML);
		}
	}
}
